Subject: Re[2]: Rebase 1.5-1: Causes invalid page fault
From: Pavel Tsekov <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2002 18:04:31 +0200

[snip]

NW> Hmm gdb wouldn't let me set a breakpoint on ReBaseImage (it says the
NW> symbol can't be found), so I just set it to line 58.  When I step through
NW> the execution, I discover that the pathname argument prints out to:
NW> "C:\\Cygnus\\cygwin\\bin\\cygXpm-noX4.dll\000

You printed just the first argument.  There is a total of 11 arguments
to this function.

BOOL ReBaseImage(
  PSTR CurrentImageName,  
  PSTR SymbolPath,      
  BOOL fReBase,          
  BOOL fRebaseSysfileOk,  
  BOOL fGoingDown,       
  ULONG CheckImageSize,  
  ULONG *OldImageSize,  
  ULONG_PTR *OldImageBase,  
  ULONG *NewImageSize,  
  ULONG_PTR *NewImageBase,  
  ULONG TimeStamp        
);

It'll be good to look at all of them. The most dangerous should be the
pointer arguments though. Btw do you have the MS rebase.exe ? If you
have it, you can try it to see, if it crashes the same way as Jason's
tool. If this is the case, then maybe there is something wrong with
these APIs on WindowsMe or the image you're trying to rebase itself.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/